<div class="login">
    <button #googleBtn class="login__btn" mat-flat-button *ngIf="!(currentUser$ | async)">Log in</button>
    <div class="login__user-info" *ngIf="currentUser$ | async as user">
        <img class="login__user-img" [src]="user.imageUrl" />
        <span class="login__user-name">{{ user.name }}</span>
    </div>
</div>
